Bug 1043405 - rhc app scale-up/scale-down commands were not contained in the autocomplete bash
Summary: rhc app scale-up/scale-down commands were not contained in the autocomplete bash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jordan Liggitt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 08:55 UTC by Meng Bo
Modified: 2015-05-15 02:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 00:53:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Meng Bo 2013-12-16 08:55:49 UTC
Description of problem:
The new commands app scale-up/down were not contained in the rhc autocomplete bash.

Version-Release number of selected component (if applicable):
rhc-1.19.1

How reproducible:
always

Steps to Reproduce:
1. Install the latest rhc client
2. Generate the autocomplete bash and source the bash
3. Type "rhc app" and TAB TAB

Actual results:
[root@dhcp-10-180 jbeap1s]# rhc app 
configure   create      delete      deploy      env         force-stop  reload      restart     show        snapshot    start       stop        tidy
[root@dhcp-10-180 jbeap1s]# rhc app-
app-configure   app-delete      app-env         app-reload      app-show        app-ssh         app-stop        
app-create      app-deploy      app-force-stop  app-restart     app-snapshot    app-start       app-tidy  

Expected results:
Should have the app-scale-up/down commands in the bash

Additional info:
# rhc app-scale --help
Showing commands matching 'app-scale'

app-scale-up (also 'scale-up-app', 'app scale-up')
--------------------------------------------------
Scale up the application's web cartridge

app-scale-down (also 'scale-down-app', 'app scale-down')
--------------------------------------------------------
Scale down the application's web cartridge

Comment 1 Jordan Liggitt 2013-12-16 14:18:10 UTC
Will merge in https://github.com/openshift/rhc/pull/525

Also updated autocomplete for:
deployment commands
--type and --content args for sshkey-add
--gear-size arg for cartridge-add

Comment 2 openshift-github-bot 2013-12-16 18:32:10 UTC
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/b12ac44abbc6051c879d4be9f68699c7ed9bf562
Fix bug 1043405: update autocompletes for rhc

Comment 3 Meng Bo 2013-12-17 06:42:15 UTC
Checked on devenv_4142, issue has been fixed.

[root@ip-10-140-69-154 ~]# rhc scale-
scale-cartridge  scale-down-app   scale-up-app     
[root@ip-10-140-69-154 ~]# rhc app
app             app-create      app-deploy      app-force-stop  app-restart     app-scale-down  app-show        app-ssh         app-stop        
app-configure   app-delete      app-env         app-reload      apps            app-scale-up    app-snapshot    app-start       app-tidy        
[root@ip-10-140-69-154 ~]# rhc app-
app-configure   app-delete      app-env         app-reload      app-scale-down  app-show        app-ssh         app-stop        
app-create      app-deploy      app-force-stop  app-restart     app-scale-up    app-snapshot    app-start       app-tidy


Note You need to log in before you can comment on or make changes to this bug.